extends Node2D


export var MaxY = 2000;
export var Music = "preparefall"
export var NextLevel = "res://MainScreen.tscn"
# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	get_node("/root/Global").play_track(Music)
	set_process(true)
	$Player.NextLevel = NextLevel
	$FollowKill.position.y = MaxY;
	if ( has_node("AnimationPlayer") ):
		get_node("AnimationPlayer").play("LevelMovementLoop");
	pass # Replace with function body.

func _process(delta):
	if $Player:
		$FollowKill.position.x = $Player.position.x;
# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass
